<?php 

/*
 * login_form.php
 * Displays the login form for a server for users who specify
 * 'form' for their auth_type.
 *
 * Variables that come in as GET vars:
 *  - server_id
 */

require 'common.php';

$server_id = isset( $_GET['server_id'] ) ? $_GET['server_id'] : null;

if( $server_id != null ) {
		check_server_id( $server_id ) or pla_error( $lang['bad_server_id'] );
}

$server = $servers[$server_id];

$auth_type = $servers[ $server_id ][ 'auth_type' ];

if( $auth_type == 'http' ) {

	// We have not popped up the HTTP authentication form yet
	if (!isset($_SERVER['PHP_AUTH_USER'])) {
		$server_name = $servers[ $server_id ][ 'name' ];
		header('WWW-Authenticate: Basic realm="' . $server_name . '"');
		header('HTTP/1.0 401 Unauthorized');
		include 'header.php';
		echo '<center><br><br>';
		echo $lang['login_cancelled'];
		echo '</center>';
	// We have popped up the HTTP auth form, and the user has entered the login DN and password. 
	} else { 
		// Get the user's login DN and poassword.
		// The DN may be 'anonymous', in which case, perform an anonymous bind.
		// Draw the login form as a POST, populated with the login info,  and submit it with JavaScript.
		$dn = $_SERVER['PHP_AUTH_USER'];
		$password = $_SERVER['PHP_AUTH_PW'];
		include 'header.php';
		?>
		<body>
		<form action="login.php" method="post" name="login_form">
		<input type="hidden" name="server_id" value="<?php echo $server_id; ?>" />
		<input type="hidden" name="anonymous_bind" value="<?php if( 0 == strcasecmp( $dn, 'anonymous' ) ) echo 'on'; ?>" />
		<input type="hidden" name="<?php echo login_attr_enabled( $server_id ) ? 'uid' : 'login_dn'; ?>"  value="<?php echo htmlspecialchars( $dn ); ?>" />
		<input type="hidden" name="login_pass" value="<?php echo htmlspecialchars( $password ); ?>" />
		</form>

		<script language="javascript">
			document.login_form.submit();
		</script>
		</body>
		</html>

	<?php
	}

} elseif( $auth_type == 'form' ) {

include 'header.php'; ?>

<body>

<script language="javascript">
<!--
	function toggle_disable_login_fields( anon_checkbox )
	{
		if( anon_checkbox.checked ) {
			anon_checkbox.form.<?php echo login_attr_enabled( $server_id ) ? 'uid' : 'login_dn'; ?>.disabled = true;
			anon_checkbox.form.login_pass.disabled = true;
		} else {
			anon_checkbox.form.<?php echo login_attr_enabled( $server_id ) ? 'uid' : 'login_dn'; ?>.disabled = false;
			anon_checkbox.form.login_pass.disabled = false;
		}
	}
-->
</script>

<center>
<h3 class="title"><?php echo sprintf( $lang['authenticate_to_server'], $servers[$server_id]['name'] ); ?></b></h3>
<br />

<?php if( ! isset( $_SERVER['HTTPS'] ) || $_SERVER['HTTPS'] != 'on' ) { ?>

<center>
<span style="color:red">
	<acronym title="<?php echo $lang['not_using_https']; ?>">
		<?php echo $lang['warning_this_web_connection_is_unencrypted']; ?>
	</acronym>
 </span>
 <br />
 </center>

<?php  } ?>

<br />

<form action="login.php" method="post" name="login_form">
<input type="hidden" name="server_id" value="<?php echo $server_id; ?>" />
<?php if( isset( $_GET['redirect'] ) ) { ?>
	<input type="hidden" name="redirect" value="<?php echo rawurlencode( $_GET['redirect'] ) ?>" />
<?php } ?>
<center>
<table class="login">
<tr>
</tr>
<tr>
	<td colspan="2"><small><label for="anonymous_bind_checkbox"><?php echo $lang['anonymous_bind']; ?></label></small> <input type="checkbox" name="anonymous_bind" onclick="toggle_disable_login_fields(this)" id="anonymous_bind_checkbox"/></td>
</tr>
<tr>
<td><small><?php 
		if ( login_attr_enabled( $server_id ) ) 
			echo $lang['login_dn'];
		else
			echo $lang['user_name'];
	?></small></td>
<td><input type="text" name="<?php echo login_attr_enabled( $server_id ) ? 'uid' : 'login_dn'; ?>" size="40" value="<?php echo $servers[$server_id]['login_dn']; ?>" /></td>
</tr>
<tr>
	<td><small><?php echo $lang['password']; ?></small></td>
	<td><input type="password" name="login_pass" size="40" value="" name="login_pass" /></td>
</tr>
<tr>
	<td colspan="2"><center><input type="submit" name="submit" value="<?php echo $lang['authenticate']; ?>" /></center></td>
</tr>
</table>
</form>
</center>

<?php } // end if auth_type == form ?>
