<?php 

/*
 * logout.php
 * For servers whose auth_type is set to 'form' or 'http'. Pass me 
 * the server_id and I will log out the user (delete the cookie)
 *
 * Variables that come in as GET vars:
 *  - server_id
 */

require realpath( 'common.php' );

$server_id = $_GET['server_id'];
check_server_id( $server_id ) or pla_error( $lang['bad_server_id'] );
have_auth_info( $server_id ) or pla_error( $lang['no_one_logged_in'] );

if( ! isset( $servers[ $server_id ][ 'auth_type' ] ) )
	return false;
$auth_type = $servers[ $server_id ][ 'auth_type' ]; 
if( 'form' == $auth_type )
	unset_cookie_login_dn( $server_id ) or pla_error( $lang['could_not_logout'] );
elseif( 'http' == $auth_type ) {
	include 'header.php';
	echo "<center>";
	echo "<br><br>";
	echo $lang['browser_close_for_http_auth_type'];
	echo "</center>";
	exit;
}
else
	pla_error( sprintf( $lang['unknown_auth_type'], htmlspecialchars( $auth_type ) ) );

include realpath( 'header.php' );

?>

<html>
<head>
<script language="javascript">
	parent.left_frame.location.reload();
</script>
<link rel="stylesheet" href="style.css" />

</head>
<body>

	<center>
	<br />
	<br />
	<?php echo sprintf( $lang['logged_out_successfully'], htmlspecialchars($servers[$server_id]['name']) ); ?><br />
	</center>

</body>
</html>

